Intermittent test_sanityEventUtils.html | synthesizeMouseExpectEvent should fire click event click event target - got false, expected true

REOPENED
Unassigned

Status

()

P5
normal
REOPENED
3 years ago
2 months ago

People

(Reporter: RyanVM, Unassigned)

Tracking

({intermittent-failure})

Other Branch
x86_64
Linux
intermittent-failure
Points:
---

Firefox Tracking Flags

(firefox48 wontfix, firefox49 wontfix, firefox50 affected, firefox51 affected)

Details

(Whiteboard: [stockwell fixed:other])

(Reporter)

Description

3 years ago
20:54:25 INFO - 1199 INFO TEST-START | testing/mochitest/tests/Harness_sanity/test_sanityEventUtils.html
20:54:26 INFO - TEST-INFO | started process screentopng
20:54:26 INFO - Failed to start /builds/slave/test/build/tests/bin/screentopng for screenshot: No such file or directory
20:54:26 INFO - 1200 INFO
20:54:26 INFO - Profile::EventUtilsLoadTime: 10
20:54:26 INFO - 1201 INFO TEST-PASS | testing/mochitest/tests/Harness_sanity/test_sanityEventUtils.html | sendMouseEvent should dispatch click event
20:54:26 INFO - 1202 INFO TEST-PASS | testing/mochitest/tests/Harness_sanity/test_sanityEventUtils.html | sendChar should work
20:54:26 INFO - 1203 INFO TEST-PASS | testing/mochitest/tests/Harness_sanity/test_sanityEventUtils.html | sendChar should dispatch keyPress
20:54:26 INFO - 1204 INFO TEST-PASS | testing/mochitest/tests/Harness_sanity/test_sanityEventUtils.html | sendString should work
20:54:26 INFO - 1205 INFO TEST-PASS | testing/mochitest/tests/Harness_sanity/test_sanityEventUtils.html | sendKey should dispatch keyPress
20:54:26 INFO - 1206 INFO TEST-PASS | testing/mochitest/tests/Harness_sanity/test_sanityEventUtils.html | synthesizeMouse should work
20:54:26 INFO - 1207 INFO TEST-PASS | testing/mochitest/tests/Harness_sanity/test_sanityEventUtils.html | synthesizeMouse should still work with non-test mouse events disabled
20:54:26 INFO - 1208 INFO TEST-PASS | testing/mochitest/tests/Harness_sanity/test_sanityEventUtils.html | synthesizeMouse should dispatch mouse event
20:54:26 INFO - 1209 INFO TEST-UNEXPECTED-FAIL | testing/mochitest/tests/Harness_sanity/test_sanityEventUtils.html | synthesizeMouseExpectEvent should fire click event click event target - got false, expected true
20:54:26 INFO - SimpleTest.is@SimpleTest/SimpleTest.js:277:5
20:54:26 INFO - _expectEvent/eventHandler@SimpleTest/EventUtils.js:847:5
20:54:26 INFO - synthesizeMouseAtPoint@SimpleTest/EventUtils.js:325:7
20:54:26 INFO - synthesizeMouse@SimpleTest/EventUtils.js:277:1
20:54:26 INFO - synthesizeMouseExpectEvent@SimpleTest/EventUtils.js:893:3
20:54:26 INFO - starttest/</<@testing/mochitest/tests/Harness_sanity/test_sanityEventUtils.html:88:1
20:54:26 INFO - starttest/<@testing/mochitest/tests/Harness_sanity/test_sanityEventUtils.html:91:7
20:54:26 INFO - SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<@SimpleTest/SimpleTest.js:745:59
20:54:26 INFO - 1210 INFO TEST-PASS | testing/mochitest/tests/Harness_sanity/test_sanityEventUtils.html | synthesizeMouseExpectEvent should fire click event click event fired
20:54:26 INFO - 1211 INFO TEST-PASS | testing/mochitest/tests/Harness_sanity/test_sanityEventUtils.html | synthesizeMouse should dispatch mouse event
20:54:26 INFO - 1212 INFO TEST-PASS | testing/mochitest/tests/Harness_sanity/test_sanityEventUtils.html | synthesizeKey should work
20:54:26 INFO - 1213 INFO TEST-PASS | testing/mochitest/tests/Harness_sanity/test_sanityEventUtils.html | synthesizeKey should dispatch keyPress
20:54:26 INFO - 1214 INFO TEST-PASS | testing/mochitest/tests/Harness_sanity/test_sanityEventUtils.html | undefined keypress event target
20:54:26 INFO - 1215 INFO TEST-PASS | testing/mochitest/tests/Harness_sanity/test_sanityEventUtils.html | undefined keypress event fired
20:54:26 INFO - 1216 INFO TEST-PASS | testing/mochitest/tests/Harness_sanity/test_sanityEventUtils.html | synthesizeKey should work
20:54:26 INFO - 1217 INFO TEST-PASS | testing/mochitest/tests/Harness_sanity/test_sanityEventUtils.html | synthesizeKey should dispatch keyPress
20:54:26 INFO - 1218 INFO TEST-PASS | testing/mochitest/tests/Harness_sanity/test_sanityEventUtils.html | synthesizeComposition() should dispatch compositionstart
20:54:26 INFO - 1219 INFO TEST-PASS | testing/mochitest/tests/Harness_sanity/test_sanityEventUtils.html | synthesizeComposition() should not dispatch compositionupdate without error
20:54:26 INFO - 1220 INFO TEST-PASS | testing/mochitest/tests/Harness_sanity/test_sanityEventUtils.html | synthesizeCompositionChange should cause dispatching a DOM text event
20:54:26 INFO - 1221 INFO TEST-PASS | testing/mochitest/tests/Harness_sanity/test_sanityEventUtils.html | synthesizeComposition() should not dispatch compositionend
20:54:26 INFO - 1222 INFO TEST-PASS | testing/mochitest/tests/Harness_sanity/test_sanityEventUtils.html | synthesizeComposition() should dispatch compositionend
20:54:26 INFO - 1223 INFO TEST-PASS | testing/mochitest/tests/Harness_sanity/test_sanityEventUtils.html | query selected text event result is null
20:54:26 INFO - 1224 INFO TEST-PASS | testing/mochitest/tests/Harness_sanity/test_sanityEventUtils.html | query selected text event failed
20:54:26 INFO - 1225 INFO TEST-PASS | testing/mochitest/tests/Harness_sanity/test_sanityEventUtils.html | query selected text event returns wrong offset
20:54:26 INFO - 1226 INFO TEST-PASS | testing/mochitest/tests/Harness_sanity/test_sanityEventUtils.html | query selected text event returns wrong selected text
20:54:26 INFO - 1227 INFO TEST-PASS | testing/mochitest/tests/Harness_sanity/test_sanityEventUtils.html | query selected text event result is null
20:54:26 INFO - 1228 INFO TEST-PASS | testing/mochitest/tests/Harness_sanity/test_sanityEventUtils.html | query selected text event failed
20:54:26 INFO - 1229 INFO TEST-PASS | testing/mochitest/tests/Harness_sanity/test_sanityEventUtils.html | query selected text event returns wrong offset
20:54:26 INFO - 1230 INFO TEST-PASS | testing/mochitest/tests/Harness_sanity/test_sanityEventUtils.html | query selected text event returns wrong selected text
20:54:26 INFO - 1231 INFO
20:54:26 INFO - Profile::EventUtilsRunTime: 310
20:54:26 INFO - MEMORY STAT | vsize 773MB | residentFast 132MB | heapAllocated 40MB
20:54:26 INFO - 1232 INFO TEST-OK | testing/mochitest/tests/Harness_sanity/test_sanityEventUtils.html | took 561ms
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
[Mass Closure] Closing Intermittent as a one off
Status: NEW → RESOLVED
Last Resolved: 3 years ago
Resolution: --- → WORKSFORME
Status: RESOLVED → REOPENED
Resolution: WORKSFORME → ---
6 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 3
* mozilla-central: 1
* fx-team: 1
* b2g-inbound: 1

Platform breakdown:
* linux64: 6

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1190451&startday=2015-11-23&endday=2015-11-29&tree=all
6 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 4
* try: 1
* mozilla-aurora: 1

Platform breakdown:
* linux64: 6

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1190451&startday=2015-12-21&endday=2015-12-27&tree=all
6 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 4
* mozilla-aurora: 1
* fx-team: 1

Platform breakdown:
* linux64: 6

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1190451&startday=2016-02-08&endday=2016-02-14&tree=all
6 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* try: 2
* mozilla-inbound: 2
* mozilla-central: 1
* fx-team: 1

Platform breakdown:
* linux64: 6

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1190451&startday=2016-02-29&endday=2016-03-06&tree=all
6 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 3
* mozilla-aurora: 2
* try: 1

Platform breakdown:
* linux64: 6

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1190451&startday=2016-03-07&endday=2016-03-13&tree=all
6 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 2
* mozilla-central: 1
* mozilla-beta: 1
* mozilla-aurora: 1
* fx-team: 1

Platform breakdown:
* linux64: 6

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1190451&startday=2016-03-14&endday=2016-03-20&tree=all
6 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 5
* try: 1

Platform breakdown:
* linux64: 6

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1190451&startday=2016-03-21&endday=2016-03-27&tree=all
6 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 5
* fx-team: 1

Platform breakdown:
* linux64: 6

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1190451&startday=2016-04-04&endday=2016-04-10&tree=all
6 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 2
* mozilla-beta: 2
* mozilla-central: 1
* fx-team: 1

Platform breakdown:
* linux64: 6

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1190451&startday=2016-05-10&endday=2016-05-16&tree=all
11 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 3
* fx-team: 3
* autoland: 2
* try: 1
* mozilla-central: 1
* ash: 1

Platform breakdown:
* linux64: 11

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1190451&startday=2016-06-27&endday=2016-07-03&tree=all
29 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 13
* autoland: 9
* fx-team: 3
* mozilla-central: 2
* mozilla-aurora: 1
* ash: 1

Platform breakdown:
* linux64: 29

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1190451&startday=2016-07-04&endday=2016-07-10&tree=all
19 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 9
* autoland: 6
* mozilla-central: 2
* fx-team: 1
* ash: 1

Platform breakdown:
* linux64: 19

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1190451&startday=2016-07-11&endday=2016-07-17&tree=all
15 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 5
* autoland: 4
* try: 3
* mozilla-central: 1
* mozilla-aurora: 1
* fx-team: 1

Platform breakdown:
* linux64: 15

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1190451&startday=2016-07-18&endday=2016-07-24&tree=all
17 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 8
* autoland: 5
* fx-team: 3
* try: 1

Platform breakdown:
* linux64: 17

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1190451&startday=2016-07-25&endday=2016-07-31&tree=all
37 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* autoland: 16
* mozilla-inbound: 9
* fx-team: 7
* mozilla-central: 3
* mozilla-aurora: 2

Platform breakdown:
* linux64: 36
* windows8-64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1190451&startday=2016-08-01&endday=2016-08-07&tree=all
19 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* autoland: 11
* mozilla-inbound: 8

Platform breakdown:
* linux64: 19

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1190451&startday=2016-08-08&endday=2016-08-14&tree=all
28 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 15
* autoland: 8
* mozilla-aurora: 3
* fx-team: 2

Platform breakdown:
* linux64: 28

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1190451&startday=2016-08-15&endday=2016-08-21&tree=all
27 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 10
* autoland: 10
* fx-team: 4
* mozilla-central: 2
* mozilla-aurora: 1

Platform breakdown:
* linux64: 27

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1190451&startday=2016-08-22&endday=2016-08-28&tree=all

Comment 26

2 years ago
Bulk assigning P3 to all open intermittent bugs without a priority set in Firefox components per bug 1298978.
Priority: -- → P3
30 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* autoland: 10
* mozilla-inbound: 9
* mozilla-aurora: 4
* mozilla-central: 2
* fx-team: 2
* oak: 1
* mozilla-beta: 1
* ash: 1

Platform breakdown:
* linux64: 30

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1190451&startday=2016-08-29&endday=2016-09-04&tree=all
28 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 10
* autoland: 9
* mozilla-aurora: 5
* fx-team: 2
* try: 1
* mozilla-central: 1

Platform breakdown:
* linux64: 28

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1190451&startday=2016-09-05&endday=2016-09-11&tree=all
(Reporter)

Updated

2 years ago
status-firefox48: --- → wontfix
status-firefox49: --- → wontfix
status-firefox50: --- → affected
status-firefox51: --- → affected
30 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 15
* autoland: 10
* mozilla-aurora: 2
* try: 1
* mozilla-central: 1
* fx-team: 1

Platform breakdown:
* linux64: 30

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1190451&startday=2016-09-12&endday=2016-09-18&tree=all
20 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 9
* try: 3
* autoland: 3
* fx-team: 2
* mozilla-central: 1
* mozilla-beta: 1
* mozilla-aurora: 1

Platform breakdown:
* linux64: 20

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1190451&startday=2016-09-19&endday=2016-09-25&tree=all
31 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* autoland: 14
* mozilla-inbound: 11
* mozilla-aurora: 3
* fx-team: 2
* mozilla-central: 1

Platform breakdown:
* linux64: 31

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1190451&startday=2016-09-26&endday=2016-10-02&tree=all
36 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* autoland: 16
* mozilla-inbound: 15
* mozilla-central: 2
* fx-team: 2
* mozilla-aurora: 1

Platform breakdown:
* linux64: 36

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1190451&startday=2016-10-03&endday=2016-10-09&tree=all
30 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 14
* autoland: 8
* mozilla-aurora: 3
* try: 2
* fx-team: 2
* mozilla-central: 1

Platform breakdown:
* linux64: 30

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1190451&startday=2016-10-10&endday=2016-10-16&tree=all
31 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* autoland: 11
* mozilla-inbound: 10
* try: 5
* mozilla-central: 2
* mozilla-aurora: 2
* fx-team: 1

Platform breakdown:
* linux64: 31

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1190451&startday=2016-10-17&endday=2016-10-23&tree=all
11 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 5
* autoland: 5
* mozilla-central: 1

Platform breakdown:
* linux64: 11

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1190451&startday=2016-10-24&endday=2016-10-30&tree=all
13 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 6
* mozilla-beta: 2
* autoland: 2
* try: 1
* mozilla-central: 1
* mozilla-aurora: 1

Platform breakdown:
* linux64: 13

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1190451&startday=2016-10-31&endday=2016-11-06&tree=all
28 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 16
* autoland: 7
* mozilla-release: 2
* mozilla-central: 2
* mozilla-aurora: 1

Platform breakdown:
* linux64: 28

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1190451&startday=2016-11-07&endday=2016-11-13&tree=all
26 failures in 715 pushes (0.036 failures/push) were associated with this bug in the last 7 days.  

Repository breakdown:
* autoland: 12
* mozilla-inbound: 8
* mozilla-aurora: 3
* mozilla-central: 2
* graphics: 1

Platform breakdown:
* linux64: 26

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1190451&startday=2016-11-14&endday=2016-11-20&tree=all
26 failures in 623 pushes (0.042 failures/push) were associated with this bug in the last 7 days.  

Repository breakdown:
* mozilla-inbound: 13
* autoland: 8
* mozilla-aurora: 4
* mozilla-release: 1

Platform breakdown:
* linux64: 26

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1190451&startday=2016-11-21&endday=2016-11-27&tree=all
25 failures in 694 pushes (0.036 failures/push) were associated with this bug in the last 7 days.  

Repository breakdown:
* mozilla-inbound: 13
* autoland: 7
* mozilla-beta: 2
* mozilla-aurora: 2
* mozilla-central: 1

Platform breakdown:
* linux64: 25

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1190451&startday=2016-11-28&endday=2016-12-04&tree=all
14 failures in 289 pushes (0.048 failures/push) were associated with this bug in the last 7 days. 

This is the #50 most frequent failure this week. 

Repository breakdown:
* mozilla-inbound: 5
* mozilla-central: 3
* mozilla-aurora: 3
* try: 1
* mozilla-release: 1
* autoland: 1

Platform breakdown:
* linux64: 14

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1190451&startday=2016-12-05&endday=2016-12-11&tree=all
21 failures in 526 pushes (0.04 failures/push) were associated with this bug in the last 7 days. 

This is the #49 most frequent failure this week. 

Repository breakdown:
* autoland: 10
* mozilla-inbound: 9
* mozilla-central: 2

Platform breakdown:
* linux64: 21

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1190451&startday=2016-12-12&endday=2016-12-18&tree=all
19 failures in 609 pushes (0.031 failures/push) were associated with this bug in the last 7 days.  

Repository breakdown:
* autoland: 13
* mozilla-inbound: 4
* mozilla-central: 1
* mozilla-aurora: 1

Platform breakdown:
* linux64: 19

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1190451&startday=2016-12-19&endday=2016-12-25&tree=all
14 failures in 305 pushes (0.046 failures/push) were associated with this bug in the last 7 days.  

Repository breakdown:
* mozilla-inbound: 5
* autoland: 5
* mozilla-central: 2
* mozilla-beta: 1
* mozilla-aurora: 1

Platform breakdown:
* linux64: 14

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1190451&startday=2016-12-26&endday=2017-01-01&tree=all
21 failures in 563 pushes (0.037 failures/push) were associated with this bug in the last 7 days.  

Repository breakdown:
* mozilla-inbound: 8
* autoland: 6
* mozilla-aurora: 3
* try: 1
* mozilla-central: 1
* mozilla-beta: 1
* graphics: 1

Platform breakdown:
* linux64: 21

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1190451&startday=2017-01-02&endday=2017-01-08&tree=all
All recent failures are on linux64-asan and look like:

[task 2017-01-05T20:59:20.291055Z] 20:59:20     INFO - TEST-START | testing/mochitest/tests/Harness_sanity/test_sanityEventUtils.html

[task 2017-01-05T20:59:20.892885Z] 20:59:20     INFO - TEST-INFO | started process screentopng

[task 2017-01-05T20:59:22.276191Z] 20:59:22     INFO - TEST-INFO | screentopng: exit 0

[task 2017-01-05T20:59:22.276469Z] 20:59:22     INFO - Buffered messages logged at 20:59:20

[task 2017-01-05T20:59:22.276608Z] 20:59:22     INFO - 

[task 2017-01-05T20:59:22.276799Z] 20:59:22     INFO - Profile::EventUtilsLoadTime: 37

[task 2017-01-05T20:59:22.278811Z] 20:59:22     INFO - 

[task 2017-01-05T20:59:22.280663Z] 20:59:22     INFO - TEST-PASS | testing/mochitest/tests/Harness_sanity/test_sanityEventUtils.html | sendMouseEvent should dispatch click event 

[task 2017-01-05T20:59:22.283822Z] 20:59:22     INFO - TEST-PASS | testing/mochitest/tests/Harness_sanity/test_sanityEventUtils.html | sendChar should work 

[task 2017-01-05T20:59:22.285615Z] 20:59:22     INFO - TEST-PASS | testing/mochitest/tests/Harness_sanity/test_sanityEventUtils.html | sendChar should dispatch keyPress 

[task 2017-01-05T20:59:22.287720Z] 20:59:22     INFO - TEST-PASS | testing/mochitest/tests/Harness_sanity/test_sanityEventUtils.html | sendString should work 

[task 2017-01-05T20:59:22.289825Z] 20:59:22     INFO - TEST-PASS | testing/mochitest/tests/Harness_sanity/test_sanityEventUtils.html | sendKey should dispatch keyPress 

[task 2017-01-05T20:59:22.300191Z] 20:59:22     INFO - TEST-PASS | testing/mochitest/tests/Harness_sanity/test_sanityEventUtils.html | synthesizeMouse should work 

[task 2017-01-05T20:59:22.302147Z] 20:59:22     INFO - TEST-PASS | testing/mochitest/tests/Harness_sanity/test_sanityEventUtils.html | synthesizeMouse should still work with non-test mouse events disabled 

[task 2017-01-05T20:59:22.303981Z] 20:59:22     INFO - TEST-PASS | testing/mochitest/tests/Harness_sanity/test_sanityEventUtils.html | synthesizeMouse should dispatch mouse event 

[task 2017-01-05T20:59:22.305592Z] 20:59:22     INFO - Buffered messages finished

[task 2017-01-05T20:59:22.307479Z] 20:59:22     INFO - TEST-UNEXPECTED-FAIL | testing/mochitest/tests/Harness_sanity/test_sanityEventUtils.html | synthesizeMouseExpectEvent should fire click event click event target  - got false, expected true

[task 2017-01-05T20:59:22.309000Z] 20:59:22     INFO -     SimpleTest.is@SimpleTest/SimpleTest.js:271:5

[task 2017-01-05T20:59:22.311074Z] 20:59:22     INFO -     eventHandler@SimpleTest/EventUtils.js:979:5

[task 2017-01-05T20:59:22.312585Z] 20:59:22     INFO -     synthesizeMouseAtPoint@SimpleTest/EventUtils.js:395:7

[task 2017-01-05T20:59:22.314340Z] 20:59:22     INFO -     synthesizeMouse@SimpleTest/EventUtils.js:326:10

[task 2017-01-05T20:59:22.317363Z] 20:59:22     INFO -     synthesizeMouseExpectEvent@SimpleTest/EventUtils.js:1025:3

[task 2017-01-05T20:59:22.319906Z] 20:59:22     INFO -     starttest/</<@testing/mochitest/tests/Harness_sanity/test_sanityEventUtils.html:88:9

[task 2017-01-05T20:59:22.321667Z] 20:59:22     INFO -     starttest/<@testing/mochitest/tests/Harness_sanity/test_sanityEventUtils.html:91:7

[task 2017-01-05T20:59:22.327782Z] 20:59:22     INFO -     focusedOrLoaded/<@SimpleTest/SimpleTest.js:744:59

[task 2017-01-05T20:59:22.329774Z] 20:59:22     INFO - TEST-PASS | testing/mochitest/tests/Harness_sanity/test_sanityEventUtils.html | synthesizeMouseExpectEvent should fire click event click event fired 

[task 2017-01-05T20:59:22.333296Z] 20:59:22     INFO - TEST-PASS | testing/mochitest/tests/Harness_sanity/test_sanityEventUtils.html | synthesizeMouse should dispatch mouse event 

[task 2017-01-05T20:59:22.335139Z] 20:59:22     INFO - TEST-PASS | testing/mochitest/tests/Harness_sanity/test_sanityEventUtils.html | synthesizeKey should work 

[task 2017-01-05T20:59:22.336944Z] 20:59:22     INFO - TEST-PASS | testing/mochitest/tests/Harness_sanity/test_sanityEventUtils.html | synthesizeKey should dispatch keyPress 

[task 2017-01-05T20:59:22.338714Z] 20:59:22     INFO - TEST-PASS | testing/mochitest/tests/Harness_sanity/test_sanityEventUtils.html | undefined keypress event target  

[task 2017-01-05T20:59:22.340878Z] 20:59:22     INFO - TEST-PASS | testing/mochitest/tests/Harness_sanity/test_sanityEventUtils.html | undefined keypress event fired
:masayuki - I see you have worked on this test before. Do you know what is going wrong? Could you have a look?
Flags: needinfo?(masayuki)
31 failures in 722 pushes (0.043 failures/push) were associated with this bug in the last 7 days.  

Repository breakdown:
* autoland: 13
* mozilla-inbound: 8
* mozilla-central: 5
* graphics: 2
* try: 1
* mozilla-beta: 1
* mozilla-aurora: 1

Platform breakdown:
* linux64: 31

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1190451&startday=2017-01-09&endday=2017-01-15&tree=all
There are three tests for this action:
https://dxr.mozilla.org/mozilla-central/rev/8eaf154b385bbe0ff06155294ccf7962aa2d3324/testing/mochitest/tests/Harness_sanity/test_sanityEventUtils.html#73
https://dxr.mozilla.org/mozilla-central/rev/8eaf154b385bbe0ff06155294ccf7962aa2d3324/testing/mochitest/tests/SimpleTest/EventUtils.js#979,1000

Only this test is failed:
https://dxr.mozilla.org/mozilla-central/source/testing/mochitest/tests/SimpleTest/EventUtils.js#977-979

Although, I don't understand why this fails randomly, this checks Event.originalTarget. So, this must be the cause of the orange.

I don't know why this checks Event.originalTarget rather than Event.target...
Flags: needinfo?(masayuki)
24 failures in 690 pushes (0.035 failures/push) were associated with this bug in the last 7 days.  

Repository breakdown:
* mozilla-inbound: 12
* autoland: 6
* mozilla-aurora: 3
* try: 2
* mozilla-beta: 1

Platform breakdown:
* linux64: 24

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1190451&startday=2017-01-16&endday=2017-01-22&tree=all
25 failures in 749 pushes (0.033 failures/push) were associated with this bug in the last 7 days.  

Repository breakdown:
* autoland: 15
* mozilla-inbound: 5
* mozilla-beta: 2
* mozilla-release: 1
* mozilla-central: 1
* graphics: 1

Platform breakdown:
* linux64: 25

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1190451&startday=2017-01-23&endday=2017-01-29&tree=all
23 failures in 733 pushes (0.031 failures/push) were associated with this bug in the last 7 days.  

Repository breakdown:
* autoland: 10
* mozilla-inbound: 9
* mozilla-beta: 2
* try: 1
* mozilla-release: 1

Platform breakdown:
* linux64: 23

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1190451&startday=2017-01-30&endday=2017-02-05&tree=all
23 failures in 836 pushes (0.028 failures/push) were associated with this bug in the last 7 days.  
Repository breakdown:
* mozilla-inbound: 13
* mozilla-beta: 4
* autoland: 4
* try: 1
* mozilla-aurora: 1

Platform breakdown:
* linux64: 23

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1190451&startday=2017-02-06&endday=2017-02-12&tree=all
18 failures in 833 pushes (0.022 failures/push) were associated with this bug in the last 7 days.  
Repository breakdown:
* mozilla-inbound: 7
* try: 4
* mozilla-release: 2
* mozilla-beta: 2
* mozilla-aurora: 2
* autoland: 1

Platform breakdown:
* linux64: 18

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1190451&startday=2017-02-13&endday=2017-02-19&tree=all
13 failures in 812 pushes (0.016 failures/push) were associated with this bug in the last 7 days.  
Repository breakdown:
* mozilla-aurora: 4
* mozilla-esr52: 3
* autoland: 3
* mozilla-inbound: 2
* mozilla-beta: 1

Platform breakdown:
* linux64: 13

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1190451&startday=2017-02-20&endday=2017-02-26&tree=all
17 failures in 783 pushes (0.022 failures/push) were associated with this bug in the last 7 days.  
Repository breakdown:
* autoland: 6
* mozilla-central: 3
* mozilla-aurora: 3
* mozilla-release: 2
* mozilla-inbound: 2
* mozilla-esr52: 1

Platform breakdown:
* linux64: 17

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1190451&startday=2017-02-27&endday=2017-03-05&tree=all
13 failures in 790 pushes (0.016 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* try: 3
* autoland: 3
* mozilla-beta: 2
* graphics: 2
* mozilla-inbound: 1
* mozilla-esr52: 1
* mozilla-aurora: 1

Platform breakdown:
* linux64: 13

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1190451&startday=2017-03-06&endday=2017-03-12&tree=all
6 failures in 777 pushes (0.008 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-inbound: 2
* mozilla-release: 1
* mozilla-esr52: 1
* mozilla-beta: 1
* autoland: 1

Platform breakdown:
* linux64: 6

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1190451&startday=2017-03-13&endday=2017-03-19&tree=all
19 failures in 898 pushes (0.021 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-beta: 5
* autoland: 4
* try: 2
* mozilla-inbound: 2
* mozilla-central: 2
* mozilla-aurora: 2
* mozilla-esr52: 1
* graphics: 1

Platform breakdown:
* linux64: 19

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1190451&startday=2017-03-20&endday=2017-03-26&tree=all
15 failures in 845 pushes (0.018 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-beta: 3
* mozilla-aurora: 3
* autoland: 3
* mozilla-inbound: 2
* mozilla-esr52: 2
* try: 1
* graphics: 1

Platform breakdown:
* linux64: 15

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1190451&startday=2017-03-27&endday=2017-04-02&tree=all
9 failures in 867 pushes (0.01 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-esr52: 3
* mozilla-inbound: 2
* try: 1
* mozilla-aurora: 1
* graphics: 1
* autoland: 1

Platform breakdown:
* linux64: 9

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1190451&startday=2017-04-03&endday=2017-04-09&tree=all
17 failures in 894 pushes (0.019 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 8
* try: 2
* mozilla-inbound: 2
* mozilla-esr52: 2
* mozilla-central: 1
* mozilla-beta: 1
* graphics: 1

Platform breakdown:
* linux64: 17

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1190451&startday=2017-04-10&endday=2017-04-16&tree=all
10 failures in 817 pushes (0.012 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-inbound: 3
* oak: 2
* autoland: 2
* mozilla-release: 1
* mozilla-beta: 1
* mozilla-aurora: 1

Platform breakdown:
* linux64: 10

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1190451&startday=2017-04-17&endday=2017-04-23&tree=all
6 failures in 883 pushes (0.007 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 2
* try: 1
* mozilla-esr52: 1
* mozilla-central: 1
* mozilla-beta: 1

Platform breakdown:
* linux64: 6

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1190451&startday=2017-04-24&endday=2017-04-30&tree=all
14 failures in 770 pushes (0.018 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-inbound: 7
* graphics: 3
* autoland: 3
* mozilla-release: 1

Platform breakdown:
* linux64: 14

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1190451&startday=2017-05-01&endday=2017-05-07&tree=all
13 failures in 879 pushes (0.015 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-central: 4
* mozilla-beta: 3
* mozilla-inbound: 2
* mozilla-esr52: 2
* autoland: 2

Platform breakdown:
* linux64: 13

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1190451&startday=2017-05-08&endday=2017-05-14&tree=all
6 failures in 777 pushes (0.008 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 3
* graphics: 2
* mozilla-esr52: 1

Platform breakdown:
* linux64: 6

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1190451&startday=2017-05-15&endday=2017-05-21&tree=all
6 failures in 891 pushes (0.007 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 3
* mozilla-esr52: 2
* try: 1

Platform breakdown:
* linux64: 6

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1190451&startday=2017-05-22&endday=2017-05-28&tree=all
5 failures in 864 pushes (0.006 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-inbound: 2
* mozilla-central: 2
* mozilla-esr52: 1

Platform breakdown:
* linux64: 5

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1190451&startday=2017-06-05&endday=2017-06-11&tree=all
1 failures in 892 pushes (0.001 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-beta: 1

Platform breakdown:
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1190451&startday=2017-06-19&endday=2017-06-25&tree=all
3 failures in 718 pushes (0.004 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-release: 2
* mozilla-esr52: 1

Platform breakdown:
* linux64: 3

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1190451&startday=2017-06-26&endday=2017-07-02&tree=all
2 failures in 656 pushes (0.003 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-esr52: 1
* mozilla-beta: 1

Platform breakdown:
* linux64: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1190451&startday=2017-07-03&endday=2017-07-09&tree=all
Priority: P3 → P5
1 failures in 720 pushes (0.001 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-esr52: 1

Platform breakdown:
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1190451&startday=2017-07-10&endday=2017-07-16&tree=all
1 failures in 822 pushes (0.001 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-beta: 1

Platform breakdown:
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1190451&startday=2017-07-17&endday=2017-07-23&tree=all
2 failures in 888 pushes (0.002 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-esr52: 2

Platform breakdown:
* linux64: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1190451&startday=2017-07-31&endday=2017-08-06&tree=all
1 failures in 901 pushes (0.001 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-release: 1

Platform breakdown:
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1190451&startday=2017-08-07&endday=2017-08-13&tree=all
2 failures in 939 pushes (0.002 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-esr52: 2

Platform breakdown:
* linux64: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1190451&startday=2017-08-28&endday=2017-09-03&tree=all
1 failures in 924 pushes (0.001 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-esr52: 1

Platform breakdown:
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1190451&startday=2017-09-04&endday=2017-09-10&tree=all
1 failures in 1032 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-esr52: 1

Platform breakdown:
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1190451&startday=2017-09-11&endday=2017-09-17&tree=all
1 failures in 885 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-esr52: 1

Platform breakdown:
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1190451&startday=2017-09-25&endday=2017-10-01&tree=all
2 failures in 947 pushes (0.002 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-esr52: 2

Platform breakdown:
* linux64: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1190451&startday=2017-10-09&endday=2017-10-15&tree=all
2 failures in 864 pushes (0.002 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-esr52: 2

Platform breakdown:
* linux64: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1190451&startday=2017-10-16&endday=2017-10-22&tree=all
1 failures in 857 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-esr52: 1

Platform breakdown:
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1190451&startday=2017-10-30&endday=2017-11-05&tree=all
1 failures in 889 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-esr52: 1

Platform breakdown:
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1190451&startday=2017-12-04&endday=2017-12-10&tree=all
1 failures in 423 pushes (0.002 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-esr52: 1

Platform breakdown:
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1190451&startday=2017-12-11&endday=2017-12-17&tree=all
1 failures in 788 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-esr52: 1

Platform breakdown:
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1190451&startday=2018-01-08&endday=2018-01-14&tree=all
1 failures in 657 pushes (0.002 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-esr52: 1

Platform breakdown:
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1190451&startday=2018-01-15&endday=2018-01-21&tree=all
8 failures in 735 pushes (0.011 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-central: 6
* mozilla-inbound: 1
* autoland: 1

Platform breakdown:
* windows7-32: 5
* windows10-64: 3

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1190451&startday=2018-01-29&endday=2018-02-04&tree=all
18 failures in 120 pushes (0.15 failures/push) were associated with this bug yesterday.    

Repository breakdown:
* mozilla-central: 8
* mozilla-inbound: 6
* autoland: 4

Platform breakdown:
* windows7-32: 8
* windows10-64: 8
* windows7-32-nightly: 1
* windows10-64-nightly: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1190451&startday=2018-03-19&endday=2018-03-19&tree=all
Priority: P5 → --
Whiteboard: [stockwell needswork:owner]
a test-verify specific failure.
Whiteboard: [stockwell needswork:owner] → [stockwell fixed:other]

Updated

2 months ago
Priority: -- → P5
You need to log in before you can comment on or make changes to this bug.